Class | Spec::Matchers::Exist
In: | lib/spec/matchers/exist.rb
Parent: | Object

### Methods

failure_message matches? negative_failure_message

### Public Instance methods

failure_message()

[Source]

        # File lib/spec/matchers/exist.rb, line 8
     8:       def failure_message
     9:         "expected #{@actual.inspect} to exist, but it doesn't."
    10:       end

matches?(actual)

[Source]

       # File lib/spec/matchers/exist.rb, line 4
    4:       def matches? actual
    5:         @actual = actual
    6:         @actual.exist?
    7:       end

negative_failure_message()

[Source]

        # File lib/spec/matchers/exist.rb, line 11
    11:       def negative_failure_message
    12:         "expected #{@actual.inspect} to not exist, but it does."
    13:       end

[Validate]